﻿using System;
using UnivateProperties_API.Model.Timeshare;

namespace UnivateProperties_API.Containers.Timeshare
{
    public class WeekDto
    {
        public WeekDto()
        {

        }

        public WeekDto(TimeshareWeek week)
        {
            Id = week.Id;
            AgentAsRep = week.AgentAsRep;
            OtherResort = week.OtherResort;
            Resort = new ResortDto(week.ResortCode, week.ResortName);
            Region = new RegionDto(week.Region != null ? week.Region.Id : 0, week.Region?.Description, week.Region?.Code);
            Status = new StatusDto(week.Status.Id, week.Status.Code, week.Status.Description);
            Bedrooms = week.Bedrooms;
            MaxSleep = week.MaxSleep;
            UnitNumber = week.UnitNumber;
            WeekNumber = week.WeekNumber;
            LevyAmount = week.LevyAmount;
            CurrentYearBanked = week.CurrentYearBanked;
            ArrivalDate = week.ArrivalDate;
            DepartureDate = week.DepartureDate;
            SellPrice = week.SellPrice;
        }

        public int Id { get; set; }
        public bool AgentAsRep { get; set; }
        public bool OtherResort { get; set; }
        public ResortDto Resort { get; set; }
        public RegionDto Region { get; set; }
        public StatusDto Status { get; set; }
        public int Bedrooms { get; set; }
        public int MaxSleep { get; set; }
        public string UnitNumber { get; set; }
        public string WeekNumber { get; set; }
        public double LevyAmount { get; set; }
        public bool CurrentYearBanked { get; set; }
        public string BankedWith { get; set; }
        public DateTime ArrivalDate { get; set; }
        public DateTime DepartureDate { get; set; }
        public double SellPrice { get; set; }
    }
}
